## matrix-synapse 1.78.0

=== pyo3/emscripten/Makefile ===
CURDIR=$(abspath .)

# These three are passed in from nox.
BUILDROOT ?= $(CURDIR)/builddir
PYMAJORMINORMICRO ?= 3.11.0
PYPRERELEASE ?= b4 # I'm not sure how to split 3.11.0b4 in Make.

EMSCRIPTEN_VERSION=3.1.13

export EMSDKDIR = $(BUILDROOT)/emsdk

PLATFORM=wasm32_emscripten
SYSCONFIGDATA_NAME=_sysconfigdata__$(PLATFORM)

# BASH_ENV tells bash to source emsdk_env.sh on startup.
export BASH_ENV := $(CURDIR)/env.sh
# Use bash to run each command so that env.sh will be used.
SHELL := /bin/bash


# Set version variables.
version_tuple := $(subst ., ,$(PYMAJORMINORMICRO:v%=%))
PYMAJOR=$(word 1,$(version_tuple))
PYMINOR=$(word 2,$(version_tuple))
PYMICRO=$(word 3,$(version_tuple))
PYVERSION=$(PYMAJORMINORMICRO)$(PYPRERELEASE)
PYMAJORMINOR=$(PYMAJOR).$(PYMINOR)


PYTHONURL=https://www.python.org/ftp/python/$(PYMAJORMINORMICRO)/Python-$(PYVERSION).tgz
PYTHONTARBALL=$(BUILDROOT)/downloads/Python-$(PYVERSION).tgz
PYTHONBUILD=$(BUILDROOT)/build/Python-$(PYVERSION)

PYTHONLIBDIR=$(BUILDROOT)/install/Python-$(PYVERSION)/lib

all: $(PYTHONLIBDIR)/libpython$(PYMAJORMINOR).a

$(BUILDROOT)/.exists: 
	mkdir -p $(BUILDROOT)
	touch $@


# Install emscripten
$(EMSDKDIR): $(CURDIR)/emscripten_patches/* $(BUILDROOT)/.exists
	git clone https://github.com/emscripten-core/emsdk.git --depth 1 --branch $(EMSCRIPTEN_VERSION) $(EMSDKDIR)
	$(EMSDKDIR)/emsdk install $(EMSCRIPTEN_VERSION)
	cd $(EMSDKDIR)/upstream/emscripten && cat $(CURDIR)/emscripten_patches/* | patch -p1
	$(EMSDKDIR)/emsdk activate $(EMSCRIPTEN_VERSION)


$(PYTHONTARBALL):
	[ -d $(BUILDROOT)/downloads ] || mkdir -p $(BUILDROOT)/downloads
	wget -q -O $@ $(PYTHONURL)

$(PYTHONBUILD)/.patched: $(PYTHONTARBALL)
	[ -d $(PYTHONBUILD) ] || ( \
		mkdir -p $(dir $(PYTHONBUILD));\
		tar -C $(dir $(PYTHONBUILD)) -xf $(PYTHONTARBALL) \
	)
	touch $@

$(PYTHONBUILD)/Makefile: $(PYTHONBUILD)/.patched $(BUILDROOT)/emsdk
	cd $(PYTHONBUILD) && \
	CONFIG_SITE=Tools/wasm/config.site-wasm32-emscripten \
  	emconfigure ./configure -C \
		--host=wasm32-unknown-emscripten \
		--build=$(shell $(PYTHONBUILD)/config.guess) \
		--with-emscripten-target=browser \
		--enable-wasm-dynamic-linking \
		--with-build-python=python3.11

$(PYTHONLIBDIR)/libpython$(PYMAJORMINOR).a : $(PYTHONBUILD)/Makefile
	cd $(PYTHONBUILD) && \
		emmake make -j3 libpython$(PYMAJORMINOR).a

	# Generate sysconfigdata
	_PYTHON_SYSCONFIGDATA_NAME=$(SYSCONFIGDATA_NAME) _PYTHON_PROJECT_BASE=$(PYTHONBUILD) python3.11 -m sysconfig --generate-posix-vars
	cp `cat pybuilddir.txt`/$(SYSCONFIGDATA_NAME).py $(PYTHONBUILD)/Lib

	mkdir -p $(PYTHONLIBDIR)
	# Copy libexpat.a, libmpdec.a, and libpython3.11.a
	# In noxfile, we explicitly link libexpat and libmpdec via RUSTFLAGS
	find $(PYTHONBUILD) -name '*.a' -exec cp {} $(PYTHONLIBDIR) \;
	# Install Python stdlib
	cp -r $(PYTHONBUILD)/Lib $(PYTHONLIBDIR)/python$(PYMAJORMINOR)

clean:
	rm -rf $(BUILDROOT)

## matrix-synapse 0.19.2+dfsg

=== debian/changelog ===
matrix-synapse (0.19.2+dfsg-6) unstable; urgency=medium

  [ Simó Albert i Beltran ]
  * Use set -e instead of passes -e to hte shell on the #! at debian/postinst

  [ Rui Branco ]
  * Add Portuguese translation for debconf messages.

  [ Andrew Shadura ]
  * Temporarily add an optional dependency on python-pymacaroons-pynacl
    for python-nacl << 1.1.0.

 -- Andrew Shadura <andrewsh@debian.org>  Mon, 27 Mar 2017 11:52:05 +0200

matrix-synapse (0.19.2+dfsg-5) unstable; urgency=medium

  [ Simó Albert i Beltran ]
  * When purging remove configuration files created by debian/postinst
    (Closes: #857428)

  [ Helge Kreutzmann ]
  * Add initial German debconf translation. (Closes: #857526)

  [ Rahul De ]
  * Fail silently if server name is not configured (Closes: #857619)

 -- Andrew Shadura <andrewsh@debian.org>  Sat, 18 Mar 2017 11:14:06 +0100

matrix-synapse (0.19.2+dfsg-4) unstable; urgency=medium

  * Add bcrypt and pymacaroons to pydist-overrides so that the runtime
    dependencies are picked up automatically.

 -- Andrew Shadura <andrewsh@debian.org>  Fri, 10 Mar 2017 12:04:52 +0100

matrix-synapse (0.19.2+dfsg-3) unstable; urgency=medium

  * Add missing copyrights for jwt.py and saml2.py
    (Thanks to Andreas Henriksson).

 -- Andrew Shadura <andrewsh@debian.org>  Mon, 06 Mar 2017 20:53:50 +0100

matrix-synapse (0.19.2+dfsg-2) unstable; urgency=medium

  * Move to Section: net.
  * Add Vcs-*.
  * Add Homepage.
  * Use oversionmangle and dversionmangle in debian/watch.
  * Move Apache-2.0 license text into a separate paragraph.

 -- Andrew Shadura <andrewsh@debian.org>  Tue, 21 Feb 2017 18:32:09 +0100

matrix-synapse (0.19.2+dfsg-1) unstable; urgency=medium

  * Don't install upstream's minified jquery, depend on libjs-jquery.
  * Include the source code for jquery-2.1.3.min.js
  * Don't load reCAPTCHA.
  * Update debian/copyright.
  * Set repacksuffix, remove debian uupdate.
  * Actually add lsb-base as a dependency.

 -- Andrew Shadura <andrewsh@debian.org>  Tue, 21 Feb 2017 18:01:45 +0100

matrix-synapse (0.19.2-1) unstable; urgency=medium

  [ Sunil Mohan Adapa ]
  * Bump standards version to 3.9.8.
  * Don't ignore errors in debian/config.
  * Internationalise strings in the template file.
  * Add lsb-base as a dependency.
  * Update debconf questions.
  * Add manpages for all binaries.

  [ Andrew Shadura ]
  * New upstream version.
  * Update debian/copyright file.

 -- Andrew Shadura <andrewsh@debian.org>  Tue, 21 Feb 2017 16:14:52 +0100

matrix-synapse (0.19.1-1) unstable; urgency=medium

  [ Erik Johnston ]
  * Initial packaging for the upstream version 0.19.1.

  [ Andrew Shadura ]
  * First upload to Debian (Closes: #830601).

 -- Andrew Shadura <andrewsh@debian.org>  Tue, 21 Feb 2017 15:39:04 +0100

=== debian/control ===
Source: matrix-synapse
Maintainer: Andrew Shadura <andrewsh@debian.org>
Section: net
Priority: optional
Build-Depends:
 debhelper (>= 9),
 dh-python,
 dh-systemd (>= 1.5),
 libjs-jquery,
 po-debconf,
 python (>= 2.6.6-3),
 python-bcrypt,
 python-blist,
 python-canonicaljson (>=1.0.0),
 python-daemonize,
 python-frozendict (>= 0.4),
 python-mock,
 python-msgpack (>=0.3.0),
 python-nacl (>= 0.3.0),
 python-openssl (>= 0.14),
 python-pil,
 python-pyasn1,
 python-pydenticon,
 python-pymacaroons,
 python-pysaml2,
 python-service-identity (>= 1.0.0),
 python-setuptools (>= 0.6b3),
 python-signedjson (>= 1.0.0),
 python-twisted (>= 16.0.0),
 python-ujson,
 python-unpaddedbase64 (>= 1.0.1),
 python-yaml
Standards-Version: 3.9.8
X-Python-Version: >= 2.7
Homepage: https://matrix.org/docs/projects/server/synapse.html
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/matrix-synapse.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/matrix-synapse.git

Package: matrix-synapse
Architecture: all
Depends:
 adduser,
 debconf,
 libjs-jquery,
 lsb-base (>= 3.0-6),
 python-twisted (>= 16.0.0),
 python-nacl (<< 1.1.0) | python-pymacaroons,
 python-nacl (>= 1.1.0) | python-pymacaroons-pynacl,
 ${misc:Depends},
 ${python:Depends}
Suggests:
 python-bleach (>= 1.4.2),
 python-jinja2 (>= 2.8)
Description: Matrix reference homeserver
 Synapse is the reference Python/Twisted Matrix homeserver implementation.
 .
 Synapse is intended to showcase the concept of Matrix, and to let users run
 their own homeserver and generally help bootstrap the ecosystem.
 .
 Matrix is an open standard for interoperable, decentralised, real-time
 communication over IP. It can be used to power Instant Messaging, VoIP/WebRTC
 signalling, Internet of Things communication or anywhere where's a need for
 a standard HTTP API for publishing and subscribing to data whilst tracking the
 conversation history.
 .
 In Matrix, every user runs one or more Matrix clients, which connect through
 to a Matrix homeserver. The homeserver stores all their personal chat history
 and user account information, much as a mail client connects through to an
 IMAP/SMTP server.

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/matrix-synapse-$1\.tar\.gz/,uversionmangle=s/-rc/~rc/,repacksuffix=+dfsg,oversionmangle=s/(.*)/$1+dfsg/,dversionmangle=s/\+dfsg$//  \
  https://github.com/matrix-org/synapse/tags .*/v?(\d\S*)\.tar\.gz

## matrix-synapse 0.24.0%2Bdfsg

=== debian/changelog ===
matrix-synapse (0.24.0+dfsg-1) unstable; urgency=medium

  * New upstream version.
  * Remove an extra oversionmangle from debian/watch.
  * Drop a patch applied upstream.
  * Update debian/copyright.
  * Add a patch to temporarily avoid phonenumbers dependency.

 -- Andrew Shadura <andrewsh@debian.org>  Tue, 24 Oct 2017 15:25:33 +0100

## matrix-synapse 0.24.0+dfsg

=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
  python-canonicaljson (>=1.0.0),
  python-daemonize,
  python-frozendict (>= 0.4),
+ python-jsonschema (>= 2.5.1),
  python-mock,
  python-msgpack (>=0.3.0),
  python-nacl (>= 0.3.0),
@@ -29,7 +30,7 @@
  python-twisted (>= 16.0.0),
  python-ujson,
  python-unpaddedbase64 (>= 1.0.1),
- python-yaml
+ python-yaml,
 Standards-Version: 3.9.8
 X-Python-Version: >= 2.7
 Homepage: https://matrix.org/docs/projects/server/synapse.html

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=matrix-synapse
%:
	dh $@ --with python2 --with systemd --buildsystem=pybuild --no-guessing-deps

override_dh_auto_install:
	dh_auto_install
	for f in $$(find debian/$(PYBUILD_NAME) -name 'jquery*min.js'); \
	do \
	    rm $$f; \
	    ln -s /usr/share/javascript/jquery/jquery.min.js $$f; \
	done

override_dh_auto_test:

.PHONY: override_dh_auto_install override_dh_auto_test

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/matrix-synapse-$1\.tar\.gz/,uversionmangle=s/-rc/~rc/,repacksuffix=+dfsg,dversionmangle=s/\+dfsg$//  \
  https://github.com/matrix-org/synapse/tags .*/v?(\d\S*)\.tar\.gz

## matrix-synapse 0.28.1+dfsg

=== debian/changelog ===
matrix-synapse (0.28.1+dfsg-1) unstable; urgency=high

  * New upstream release:
    - SECURITY UPDATE:
      Clamp the allowed values of event depth received over federation to
      be [0, 2**63 - 1]. This mitigates an attack where malicious events
      injected with depth = 2**63 - 1 render rooms unusable.
  * Prevent installing with python-pymacaroons-nacl or python-nacl (<< 1.1.0).

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 02 May 2018 12:02:15 +0200

matrix-synapse (0.28.0+dfsg-2) unstable; urgency=medium

  * Prefer python-nacl (>= 1.1.0) and python-pymacaroons.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 01 May 2018 14:15:54 +0200

matrix-synapse (0.28.0+dfsg-1) unstable; urgency=medium

  * New upstream version.
  * Refresh patches.
  * Enable systemd journal logging by default.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 30 Apr 2018 14:12:04 +0200

matrix-synapse (0.27.2+dfsg-1) unstable; urgency=medium

  [ Andrej Shadura ]
  * New upstream version.
  * Add python-phonenumbers dependency.
  * Drop a patch to not depend on python-phonenumbers.
  * Refresh patches.
  * Make the package team-maintained.

  [ Richard van der Hoff ]
  * Remove level for file log handler from the default log.yaml.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 27 Mar 2018 17:39:49 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: matrix-synapse
-Maintainer: Andrew Shadura <andrewsh@debian.org>
+Maintainer: Matrix Packaging Team <pkg-matrix-maintainers@lists.alioth.debian.org>
+Uploaders: Andrej Shadura <andrewsh@debian.org>
 Section: net
 Priority: optional
 Build-Depends:
@@ -11,7 +12,7 @@
  python (>= 2.6.6-3),
  python-bcrypt,
  python-blist,
- python-canonicaljson (>=1.0.0),
+ python-canonicaljson (>=1.1.3),
  python-daemonize,
  python-frozendict (>= 0.4),
  python-jsonschema (>= 2.5.1),
@@ -20,6 +21,7 @@
  python-nacl (>= 0.3.0),
  python-openssl (>= 0.14),
  python-pil,
+ python-phonenumbers,
  python-pyasn1,
  python-pydenticon,
  python-pymacaroons,
@@ -44,9 +46,12 @@
  debconf,
  libjs-jquery,
  lsb-base (>= 3.0-6),
+ python-canonicaljson (>=1.1.3),
  python-twisted (>= 16.0.0),
- python-nacl (<< 1.1.0) | python-pymacaroons,
- python-nacl (>= 1.1.0) | python-pymacaroons-pynacl,
+ python-twisted (<< 18.4),
+ python-nacl (>= 1.1.0),
+ python-pymacaroons,
+ python-systemd,
  ${misc:Depends},
  ${python:Depends}
 Suggests:

## matrix-synapse 0.29.1+dfsg

=== debian/changelog ===
matrix-synapse (0.29.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Update Vcs-*.

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 18 May 2018 17:31:24 +0200

## matrix-synapse 0.30.0+dfsg

=== debian/changelog ===
matrix-synapse (0.30.0+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 25 May 2018 09:46:38 +0200

=== debian/control ===
--- 
+++ 
@@ -36,8 +36,8 @@
 Standards-Version: 3.9.8
 X-Python-Version: >= 2.7
 Homepage: https://matrix.org/docs/projects/server/synapse.html
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/matrix-synapse.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/matrix-synapse.git
+Vcs-Browser: https://salsa.debian.org/matrix-team/matrix-synapse
+Vcs-Git: https://salsa.debian.org/matrix-team/matrix-synapse
 
 Package: matrix-synapse
 Architecture: all

## matrix-synapse 0.31.0+dfsg

=== debian/changelog ===
matrix-synapse (0.31.0+dfsg-1) unstable; urgency=medium

  [ Richard van der Hoff ]
  * Refresh 0004-webclient-instructions.patch
  * Drop dependency on ujson, add dependencies on attr and
    prometheus-client.

  [ Andrej Shadura ]
  * New upstream release.
  * Add the missing six dependency.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 06 Jun 2018 20:42:37 +0200

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
  libjs-jquery,
  po-debconf,
  python (>= 2.6.6-3),
+ python-attr,
  python-bcrypt,
  python-blist,
  python-canonicaljson (>=1.1.3),
@@ -22,17 +23,18 @@
  python-openssl (>= 0.14),
  python-pil,
  python-phonenumbers,
+ python-prometheus-client,
  python-pyasn1,
  python-pydenticon,
  python-pymacaroons,
  python-pysaml2,
  python-service-identity (>= 1.0.0),
  python-setuptools (>= 0.6b3),
+ python-six,
  python-signedjson (>= 1.0.0),
  python-twisted (>= 16.0.0),
- python-ujson,
  python-unpaddedbase64 (>= 1.0.1),
- python-yaml,
+ python-yaml
 Standards-Version: 3.9.8
 X-Python-Version: >= 2.7
 Homepage: https://matrix.org/docs/projects/server/synapse.html
@@ -46,6 +48,7 @@
  debconf,
  libjs-jquery,
  lsb-base (>= 3.0-6),
+ python-attr,
  python-canonicaljson (>=1.1.3),
  python-twisted (>= 16.0.0),
  python-twisted (<< 18.4),

## matrix-synapse 0.31.1+dfsg

=== debian/changelog ===
matrix-synapse (0.31.1+dfsg-2) unstable; urgency=high

  * Bump dependencies of the binary packages to allow smooth upgrades.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 11 Jun 2018 08:46:06 +0200

matrix-synapse (0.31.1+dfsg-1) unstable; urgency=high

  * New upstream release:
    - SECURITY UPDATE:
      This release fixes a security bug in the get_missing_events federation
      API where event visibility rules were not applied correctly.
      We are not aware of it being actively exploited but please upgrade ASAP.

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 10 Jun 2018 22:45:05 +0200

matrix-synapse (0.31.0+dfsg-2) unstable; urgency=medium

  * Remove no longer relevant patches.
  * Add French debconf translation (Closes: #861924)
    by Jean-Pierre Giraud.
  * Add Dutch translation of debconf messages (Closes: #862208)
    by Frans Spiesschaert.
  * Add Brazilian Portuguese debconf templates translation (Closes: #891166)
    by Adriano Rafael Gomes.
  * Add Russian translation of debconf template (Closes: #883207)
    by Lev Lamberov.
  * Update the copyrights.
  * Refresh copyrights in the PO template and POs.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 07 Jun 2018 09:10:23 +0200

## matrix-synapse 0.31.2+dfsg

=== debian/changelog ===
matrix-synapse (0.31.2+dfsg-1) unstable; urgency=high

  * New upstream release:
    - SECURITY UPDATE:
      Prevent unauthorised users from setting state events in a room
      when there is no m.room.power_levels event in force in the room.
      (Closes: #901549)

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 14 Jun 2018 18:53:36 +0200

=== debian/control ===
--- 
+++ 
@@ -51,9 +51,9 @@
  python-attr,
  python-canonicaljson (>=1.1.3),
  python-twisted (>= 16.0.0),
- python-twisted (<< 18.4),
- python-nacl (>= 1.1.0),
+ python-nacl (>= 1.2.1),
  python-pymacaroons,
+ python-pysaml2 (>= 4.0.0),
  python-systemd,
  ${misc:Depends},
  ${python:Depends}

## matrix-synapse 0.32.2+dfsg

=== debian/changelog ===
matrix-synapse (0.32.2+dfsg-1) unstable; urgency=high

  * New upstream release.
  * Add dependency on python-sortedcontainers.

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 08 Jul 2018 19:44:33 +0200

## matrix-synapse 0.33.0+dfsg

=== debian/changelog ===
matrix-synapse (0.33.0+dfsg-1) unstable; urgency=medium

  * New upstream version.
  * Update debian/watch.
  * Refresh patches.

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 20 Jul 2018 20:01:00 +0200

## matrix-synapse 0.33.1+dfsg

=== debian/changelog ===
matrix-synapse (0.33.1+dfsg-1) unstable; urgency=high

  * New upstream version.
  * Security fixes:
    - Fix a potential issue where servers could request events for rooms
      they have not joined. See https://github.com/matrix-org/synapse/issues/3641
    - Fix a potential issue where users could see events in private rooms
      before they joined. See https://github.com/matrix-org/synapse/issues/3642

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 02 Aug 2018 17:10:50 +0200

=== debian/control ===
--- 
+++ 
@@ -30,6 +30,7 @@
  python-pysaml2,
  python-service-identity (>= 1.0.0),
  python-setuptools (>= 0.6b3),
+ python-sortedcontainers,
  python-six,
  python-signedjson (>= 1.0.0),
  python-twisted (>= 16.0.0),

## matrix-synapse 0.33.2+dfsg

=== debian/changelog ===
matrix-synapse (0.33.2+dfsg-3) unstable; urgency=medium

  * Remove Recommends for HTTP/2 packages, they break some functionality.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 14 Aug 2018 07:48:14 +0200

matrix-synapse (0.33.2+dfsg-2) unstable; urgency=medium

  * Recommend python-priority and python-h2 for HTTP/2 support.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 13 Aug 2018 15:19:45 +0200

matrix-synapse (0.33.2+dfsg-1) unstable; urgency=medium

  * New upstream version.
  * Depend on python-netaddr.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 09 Aug 2018 16:42:11 +0200

=== debian/control ===
--- 
+++ 
@@ -19,6 +19,7 @@
  python-jsonschema (>= 2.5.1),
  python-mock,
  python-msgpack (>=0.3.0),
+ python-netaddr (>=0.7.18),
  python-nacl (>= 0.3.0),
  python-openssl (>= 0.14),
  python-pil,
@@ -61,6 +62,9 @@
 Suggests:
  python-bleach (>= 1.4.2),
  python-jinja2 (>= 2.8)
+# Recommends:
+#  python-priority,
+#  python-h2 (>= 3.0.0)
 Description: Matrix reference homeserver
  Synapse is the reference Python/Twisted Matrix homeserver implementation.
  .

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/matrix-synapse-$1\.tar\.gz/,uversionmangle=s/-?rc/~rc/,repacksuffix=+dfsg,dversionmangle=s/\+dfsg$//  \
  https://github.com/matrix-org/synapse/tags .*/v?(\d\S*)\.tar\.gz

## matrix-synapse 0.33.3

=== debian/changelog ===
matrix-synapse (0.33.3-1) unstable; urgency=medium

  * New upstream version.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 22 Aug 2018 16:27:24 +0200

## matrix-synapse 0.33.8

=== debian/changelog ===
matrix-synapse (0.33.8-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches, update dependencies.
  * Normalise whitespace.
  * Wrap and sort debian/control.

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 02 Nov 2018 12:32:34 +0100

matrix-synapse (0.33.4-1) unstable; urgency=medium

  [ Richard van der Hoff ]
  * Don’t tell users to install packages with pip instead of apt.

  [ Andrej Shadura ]
  * New upstream version.
  * Update the configuration template with new keys.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 12 Sep 2018 15:12:22 +0200

matrix-synapse (0.33.3.1-1) unstable; urgency=high

  * New upstream version.
    - SECURITY UPDATE (CVE-2018-16515):
      Check that signatures on events are valid
      Fix origin handling for pushed transactions
    - Closes: #908044.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 06 Sep 2018 12:00:03 +0200

matrix-synapse (0.33.3-2) unstable; urgency=medium

  [ Richard van der Hoff ]
  * We now require python-twisted 17.1.0 or later.
  * Add recommendations for python-psycopg2 and python-lxml.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 05 Sep 2018 17:57:16 +0200

## matrix-synapse 0.33.9

=== debian/changelog ===
matrix-synapse (0.33.9-2) unstable; urgency=medium

  * New upstream release.

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 23 Nov 2018 18:39:57 +0100

=== debian/control ===
--- 
+++ 
@@ -10,31 +10,32 @@
  libjs-jquery,
  po-debconf,
  python (>= 2.6.6-3),
- python-attr,
+ python-attr (>= 16.0.0),
  python-bcrypt,
  python-blist,
- python-canonicaljson (>=1.1.3),
+ python-canonicaljson (>= 1.1.3),
  python-daemonize,
  python-frozendict (>= 0.4),
  python-jsonschema (>= 2.5.1),
  python-mock,
- python-msgpack (>=0.3.0),
- python-netaddr (>=0.7.18),
+ python-msgpack (>= 0.3.0),
  python-nacl (>= 0.3.0),
+ python-netaddr (>= 0.7.18),
  python-openssl (>= 0.14),
+ python-phonenumbers,
  python-pil,
- python-phonenumbers,
  python-prometheus-client,
+ python-psutil,
  python-pyasn1,
- python-pydenticon,
  python-pymacaroons,
  python-pysaml2,
  python-service-identity (>= 1.0.0),
  python-setuptools (>= 0.6b3),
+ python-signedjson (>= 1.0.0),
+ python-six,
  python-sortedcontainers,
- python-six,
- python-signedjson (>= 1.0.0),
- python-twisted (>= 16.0.0),
+ python-treq (>= 15.1.0),
+ python-twisted (>= 17.1.0),
  python-unpaddedbase64 (>= 1.0.1),
  python-yaml
 Standards-Version: 3.9.8
@@ -50,19 +51,20 @@
  debconf,
  libjs-jquery,
  lsb-base (>= 3.0-6),
- python-attr,
- python-canonicaljson (>=1.1.3),
- python-twisted (>= 16.0.0),
+ python-canonicaljson (>= 1.1.3),
  python-nacl (>= 1.2.1),
  python-pymacaroons,
  python-pysaml2 (>= 4.0.0),
  python-systemd,
+ python-twisted (>= 17.1.0),
  ${misc:Depends},
  ${python:Depends}
 Suggests:
  python-bleach (>= 1.4.2),
  python-jinja2 (>= 2.8)
-# Recommends:
+Recommends:
+ python-lxml,
+ python-psycopg2,
 #  python-priority,
 #  python-h2 (>= 3.0.0)
 Description: Matrix reference homeserver

## matrix-synapse 0.34.0~rc2

=== debian/changelog ===
matrix-synapse (0.34.0~rc2-1) unstable; urgency=medium

  * New upstream version 0.34.0~rc2.
  * Use Python 3 (Closes: #897222).
  * debian/watch: Require a dot in the version.
  * Refresh patches.
  * Don’t use dh-systemd package, depend on a newer debhelper instead.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 18 Dec 2018 17:09:27 +0100

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/matrix-synapse-$1\.tar\.gz/,uversionmangle=s/-?rc/~rc/,repacksuffix=+dfsg,dversionmangle=s/\+dfsg$//  \
  https://github.com/matrix-org/synapse/tags .*/v?(\d\.\S*)\.tar\.gz

## matrix-synapse 0.34.0

=== debian/changelog ===
matrix-synapse (0.34.0-3) unstable; urgency=medium

  * Add Breaks: matrix-synapse-ldap3 (<< 0.1.3-2~).
    Closes: #917558.

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 29 Dec 2018 11:59:09 +0100

matrix-synapse (0.34.0-2) unstable; urgency=medium

  * Bump dependencies to please Synapse.

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 22 Dec 2018 00:01:55 +0100

matrix-synapse (0.34.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove unnecessary patch and the web_client setting.

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 21 Dec 2018 13:35:42 +0100

=== debian/control ===
Source: matrix-synapse
Maintainer: Matrix Packaging Team <pkg-matrix-maintainers@lists.alioth.debian.org>
Uploaders: Andrej Shadura <andrewsh@debian.org>
Section: net
Priority: optional
Build-Depends:
 debhelper (>= 9.20160709),
 dh-python,
 libjs-jquery,
 po-debconf,
 python3,
 python3-attr (>= 16.0.0),
 python3-bcrypt,
 python3-blist,
 python3-canonicaljson (>= 1.1.3),
 python3-daemonize,
 python3-frozendict (>= 1),
 python3-jsonschema (>= 2.5.1),
 python3-mock,
 python3-msgpack (>= 0.3.0),
 python3-nacl (>= 0.3.0),
 python3-netaddr (>= 0.7.18),
 python3-openssl (>= 0.14),
 python3-phonenumbers,
 python3-pil,
 python3-prometheus-client,
 python3-psutil,
 python3-pyasn1,
 python3-pymacaroons,
 python3-pysaml2,
 python3-service-identity (>= 1.0.0),
 python3-setuptools (>= 0.6b3),
 python3-signedjson (>= 1.0.0),
 python3-six,
 python3-sortedcontainers,
 python3-treq (>= 18),
 python3-twisted (>= 17.1.0),
 python3-unpaddedbase64 (>= 1.0.1),
 python3-yaml
Standards-Version: 3.9.8
X-Python-Version: >= 2.7
Homepage: https://matrix.org/docs/projects/server/synapse.html
Vcs-Browser: https://salsa.debian.org/matrix-team/matrix-synapse
Vcs-Git: https://salsa.debian.org/matrix-team/matrix-synapse

Package: matrix-synapse
Architecture: all
Depends:
 adduser,
 debconf,
 libjs-jquery,
 lsb-base (>= 3.0-6),
 python3-canonicaljson (>= 1.1.3),
 python3-nacl (>= 1.2.1),
 python3-pymacaroons,
 python3-pysaml2 (>= 4.0.0),
 python3-systemd,
 python3-twisted (>= 17.1.0),
 ${misc:Depends},
 ${python3:Depends}
Breaks:
 matrix-synapse-ldap3 (<< 0.1.3-2~)
Suggests:
 python3-bleach (>= 1.4.2),
 python3-jinja2 (>= 2.8)
Recommends:
 python3-lxml,
 python3-psycopg2,
#  python3-priority,
#  python3-h2 (>= 3.0.0)
Description: Matrix reference homeserver
 Synapse is the reference Python/Twisted Matrix homeserver implementation.
 .
 Synapse is intended to showcase the concept of Matrix, and to let users run
 their own homeserver and generally help bootstrap the ecosystem.
 .
 Matrix is an open standard for interoperable, decentralised, real-time
 communication over IP. It can be used to power Instant Messaging, VoIP/WebRTC
 signalling, Internet of Things communication or anywhere where's a need for
 a standard HTTP API for publishing and subscribing to data whilst tracking the
 conversation history.
 .
 In Matrix, every user runs one or more Matrix clients, which connect through
 to a Matrix homeserver. The homeserver stores all their personal chat history
 and user account information, much as a mail client connects through to an
 IMAP/SMTP server.

## matrix-synapse 0.34.1.1

=== debian/changelog ===
matrix-synapse (0.34.1.1-4) unstable; urgency=high

  * Depend on python3-distutils (Closes: #920274).

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 23 Jan 2019 16:07:50 +0100

matrix-synapse (0.34.1.1-3) unstable; urgency=high

  * Python 3 needs py3dist-overrides.
  * Use Python 3 in the init script (Closes: #919709).
  * Update the dependencies (Closes: #919707).

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 20 Jan 2019 15:05:38 +0100

matrix-synapse (0.34.1.1-2) unstable; urgency=high

  * Fix Python dependencies (Closes: #919450).

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 16 Jan 2019 09:26:37 +0100

matrix-synapse (0.34.1.1-1) unstable; urgency=medium

  * New upstream release:
    - SECURITY UPDATE (CVE-2019-5885).

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 10 Jan 2019 16:24:02 +0100

=== debian/control ===
--- 
+++ 
@@ -14,11 +14,12 @@
  python3-blist,
  python3-canonicaljson (>= 1.1.3),
  python3-daemonize,
+ python3-distutils,
  python3-frozendict (>= 1),
  python3-jsonschema (>= 2.5.1),
  python3-mock,
- python3-msgpack (>= 0.3.0),
- python3-nacl (>= 0.3.0),
+ python3-msgpack (>= 0.5.0),
+ python3-nacl (>= 1.2.1),
  python3-netaddr (>= 0.7.18),
  python3-openssl (>= 0.14),
  python3-phonenumbers,
@@ -26,9 +27,9 @@
  python3-prometheus-client,
  python3-psutil,
  python3-pyasn1,
- python3-pymacaroons,
- python3-pysaml2,
- python3-service-identity (>= 1.0.0),
+ python3-pymacaroons (>= 0.13.0),
+ python3-pysaml2 (>= 4.0.0),
+ python3-service-identity (>= 16.0.0),
  python3-setuptools (>= 0.6b3),
  python3-signedjson (>= 1.0.0),
  python3-six,
@@ -38,7 +39,6 @@
  python3-unpaddedbase64 (>= 1.0.1),
  python3-yaml
 Standards-Version: 3.9.8
-X-Python-Version: >= 2.7
 Homepage: https://matrix.org/docs/projects/server/synapse.html
 Vcs-Browser: https://salsa.debian.org/matrix-team/matrix-synapse
 Vcs-Git: https://salsa.debian.org/matrix-team/matrix-synapse
@@ -47,25 +47,20 @@
 Architecture: all
 Depends:
  adduser,
- debconf,
  libjs-jquery,
  lsb-base (>= 3.0-6),
- python3-canonicaljson (>= 1.1.3),
- python3-nacl (>= 1.2.1),
- python3-pymacaroons,
- python3-pysaml2 (>= 4.0.0),
+ python3-distutils,
  python3-systemd,
- python3-twisted (>= 17.1.0),
  ${misc:Depends},
  ${python3:Depends}
 Breaks:
  matrix-synapse-ldap3 (<< 0.1.3-2~)
 Suggests:
  python3-bleach (>= 1.4.2),
- python3-jinja2 (>= 2.8)
+ python3-jinja2 (>= 2.9)
 Recommends:
  python3-lxml,
- python3-psycopg2,
+ python3-psycopg2 (>= 2.6),
 #  python3-priority,
 #  python3-h2 (>= 3.0.0)
 Description: Matrix reference homeserver

## matrix-synapse 0.99.0

=== debian/changelog ===
matrix-synapse (0.99.0-1) unstable; urgency=medium

  * New upstream release.
  * Recommend python3-bleach and python3-jinja2.
  * Suggest python3-txacme.
  * Update the dependencies.
  * Bump Standards-Version.
  * Update NEWS.

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 09 Feb 2019 15:34:08 +0100

## matrix-synapse 0.99.1.1

=== debian/changelog ===
matrix-synapse (0.99.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Ship docs, refresh NEWS.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 20 Feb 2019 11:24:24 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  libjs-jquery,
  po-debconf,
  python3,
- python3-attr (>= 16.0.0),
+ python3-attr (>= 17.4.0),
  python3-bcrypt,
  python3-blist,
  python3-canonicaljson (>= 1.1.3),
@@ -35,10 +35,10 @@
  python3-six,
  python3-sortedcontainers,
  python3-treq (>= 18),
- python3-twisted (>= 17.1.0),
+ python3-twisted (>= 18.7.0),
  python3-unpaddedbase64 (>= 1.0.1),
  python3-yaml
-Standards-Version: 3.9.8
+Standards-Version: 4.3.0
 Homepage: https://matrix.org/docs/projects/server/synapse.html
 Vcs-Browser: https://salsa.debian.org/matrix-team/matrix-synapse
 Vcs-Git: https://salsa.debian.org/matrix-team/matrix-synapse
@@ -56,11 +56,12 @@
 Breaks:
  matrix-synapse-ldap3 (<< 0.1.3-2~)
 Suggests:
- python3-bleach (>= 1.4.2),
- python3-jinja2 (>= 2.9)
+ python3-txacme,
 Recommends:
  python3-lxml,
  python3-psycopg2 (>= 2.6),
+ python3-bleach (>= 1.4.2),
+ python3-jinja2 (>= 2.9),
 #  python3-priority,
 #  python3-h2 (>= 3.0.0)
 Description: Matrix reference homeserver

## matrix-synapse 0.99.2

=== debian/changelog ===
matrix-synapse (0.99.2-6) unstable; urgency=medium

  * Add a NEWS entry on the room format upgrade in 0.99.5.1.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 06 Jun 2019 15:28:41 +0200

matrix-synapse (0.99.2-5) unstable; urgency=high

  * Security updates backported from 0.99.3:
    - Use SystemRandom for token generation
    - Blacklist 0.0.0.0 and :: by default for URL previews

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 03 May 2019 22:26:41 +0200

matrix-synapse (0.99.2-4) unstable; urgency=medium

  [ Antoine Beaupré ]
  * Fix log rotation to be less verbose (Closes: #927057).

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 27 Apr 2019 20:03:23 +0200

matrix-synapse (0.99.2-3) unstable; urgency=medium

  * Make the code querying the location of the key file actually work.
    Closes: #923573.
  * Verify the presence of TLS cert/key files.
  * Make sure warnings are not shown when querying configuration settings.

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 24 Mar 2019 14:02:48 +0100

matrix-synapse (0.99.2-2) unstable; urgency=medium

  * Make sure the key file is owned by the user running synapse
    (Closes: #923573).
  * No longer enable webclient by default (Closes: #923574).
  * Print a warning when the server name has not been set (Closes: #923586).
  * Update NEWS with a note on .well-known vs SRV.

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 16 Mar 2019 16:48:56 +0100

matrix-synapse (0.99.2-1) unstable; urgency=medium

  * New upstream release.
  * Depend on python3-all instead of python3-distutils.
  * Correct the dependency on python3-distutils (Closes: #922838).

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 01 Mar 2019 14:23:57 +0100

=== debian/control ===
--- 
+++ 
@@ -8,13 +8,12 @@
  dh-python,
  libjs-jquery,
  po-debconf,
- python3,
+ python3-all,
  python3-attr (>= 17.4.0),
  python3-bcrypt,
  python3-blist,
  python3-canonicaljson (>= 1.1.3),
  python3-daemonize,
- python3-distutils,
  python3-frozendict (>= 1),
  python3-jsonschema (>= 2.5.1),
  python3-mock,
@@ -49,7 +48,7 @@
  adduser,
  libjs-jquery,
  lsb-base (>= 3.0-6),
- python3-distutils,
+ libpython3-stdlib (<< 3.6.4~rc1-2~) | python3-distutils,
  python3-systemd,
  ${misc:Depends},
  ${python3:Depends}

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 export PYBUILD_NAME=matrix-synapse
 %:
-	dh $@ --with python2 --with systemd --buildsystem=pybuild --no-guessing-deps
+	dh $@ --with python3 --with systemd --buildsystem=pybuild --no-guessing-deps
 
 override_dh_auto_install:
 	dh_auto_install

## matrix-synapse 1.0.0

=== debian/changelog ===
matrix-synapse (1.0.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 26 Jun 2019 13:09:57 -0500

matrix-synapse (1.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Bump dependencies.
  * Use dh 11 and compat level 11.
  * Refresh patches.

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 21 Jun 2019 09:28:10 -0500

matrix-synapse (0.99.5.2-1) experimental; urgency=medium

  * New upstream release.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 06 Jun 2019 15:30:26 +0200

matrix-synapse (0.99.5.1-1) experimental; urgency=medium

  * New upstream release.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 22 May 2019 22:44:28 +0100

matrix-synapse (0.99.3.2-1) experimental; urgency=medium

  * Upload to experimental.
  * New upstream release.

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 03 May 2019 22:44:59 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: net
 Priority: optional
 Build-Depends:
- debhelper (>= 9.20160709),
+ debhelper (>= 11~),
  dh-python,
  libjs-jquery,
  po-debconf,
@@ -15,6 +15,7 @@
  python3-canonicaljson (>= 1.1.3),
  python3-daemonize,
  python3-frozendict (>= 1),
+ python3-idna,
  python3-jsonschema (>= 2.5.1),
  python3-mock,
  python3-msgpack (>= 0.5.0),
@@ -28,7 +29,7 @@
  python3-pyasn1,
  python3-pymacaroons (>= 0.13.0),
  python3-pysaml2 (>= 4.0.0),
- python3-service-identity (>= 16.0.0),
+ python3-service-identity (>= 18.1.0),
  python3-setuptools (>= 0.6b3),
  python3-signedjson (>= 1.0.0),
  python3-six,

## matrix-synapse 1.2.1

=== debian/changelog ===
matrix-synapse (1.2.1-2) unstable; urgency=medium

  [ Axel Beckert ]
  * Fix the installation process hanging (Closes: #920339).

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 09 Aug 2019 14:14:57 +0200

matrix-synapse (1.2.1-1) unstable; urgency=high

  * New upstream release.
  * Drop an old patch.
  * SECURITY UPDATE:
    - Prevent an attack where a federated server could send redactions
      for arbitrary events in v1 and v2 rooms.
    - Prevent a denial-of-service attack where cycles of redaction events
      would make Synapse spin infinitely.
    - Prevent an attack where users could be joined or parted from public
      rooms without their consent.
    - Fix a vulnerability where a federated server could spoof read
      receipts from users on other servers.

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 26 Jul 2019 13:02:23 -0300

matrix-synapse (1.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Make most runtime dependencies mandatory.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 18 Jul 2019 20:33:52 -0300

## matrix-synapse 1.3.0

=== debian/changelog ===
matrix-synapse (1.3.0-1) unstable; urgency=medium

  * New upstream release.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 15 Aug 2019 17:31:05 +0200

=== debian/control ===
--- 
+++ 
@@ -11,12 +11,15 @@
  python3-all,
  python3-attr (>= 17.4.0),
  python3-bcrypt,
+ python3-bleach (>= 1.4.2),
  python3-blist,
  python3-canonicaljson (>= 1.1.3),
  python3-daemonize,
  python3-frozendict (>= 1),
  python3-idna,
+ python3-jinja2 (>= 2.9),
  python3-jsonschema (>= 2.5.1),
+ python3-lxml,
  python3-mock,
  python3-msgpack (>= 0.5.0),
  python3-nacl (>= 1.2.1),
@@ -34,6 +37,7 @@
  python3-signedjson (>= 1.0.0),
  python3-six,
  python3-sortedcontainers,
+ python3-systemd,
  python3-treq (>= 18),
  python3-twisted (>= 18.7.0),
  python3-unpaddedbase64 (>= 1.0.1),
@@ -50,6 +54,9 @@
  libjs-jquery,
  lsb-base (>= 3.0-6),
  libpython3-stdlib (<< 3.6.4~rc1-2~) | python3-distutils,
+ python3-bleach,
+ python3-jinja2,
+ python3-lxml,
  python3-systemd,
  ${misc:Depends},
  ${python3:Depends}
@@ -58,10 +65,7 @@
 Suggests:
  python3-txacme,
 Recommends:
- python3-lxml,
  python3-psycopg2 (>= 2.6),
- python3-bleach (>= 1.4.2),
- python3-jinja2 (>= 2.9),
 #  python3-priority,
 #  python3-h2 (>= 3.0.0)
 Description: Matrix reference homeserver

## matrix-synapse 1.4.0

=== debian/changelog ===
matrix-synapse (1.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Twisted requirement.

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 04 Oct 2019 10:07:43 +0200

=== debian/control ===
--- 
+++ 
@@ -39,7 +39,7 @@
  python3-sortedcontainers,
  python3-systemd,
  python3-treq (>= 18),
- python3-twisted (>= 18.7.0),
+ python3-twisted (>= 18.9.0),
  python3-unpaddedbase64 (>= 1.0.1),
  python3-yaml
 Standards-Version: 4.3.0

## matrix-synapse 1.5.0

=== debian/changelog ===
matrix-synapse (1.5.0-1) unstable; urgency=medium

  * New upstream release (Closes: #944355).
  * SECURITY UPDATE (CVE-2019-18835):
    - Matrix Synapse before 1.5.0 mishandles signature checking on some
      federation APIs. Events sent over /send_join, /send_leave, and /invite
      may not be correctly signed, or may not come from the expected
      servers.
  * Require python3-typing-extensions (>= 3.7.4).
  * Use secure copyright file specification URI.

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 08 Nov 2019 14:38:14 +0100

=== debian/control ===
--- 
+++ 
@@ -40,6 +40,7 @@
  python3-systemd,
  python3-treq (>= 18),
  python3-twisted (>= 18.9.0),
+ python3-typing-extensions (>= 3.7.4),
  python3-unpaddedbase64 (>= 1.0.1),
  python3-yaml
 Standards-Version: 4.3.0

## matrix-synapse 1.5.1

=== debian/changelog ===
matrix-synapse (1.5.1-1) unstable; urgency=high

  * New upstream release.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 11 Nov 2019 15:27:34 +0100

## matrix-synapse 1.6.0

=== debian/changelog ===
matrix-synapse (1.6.0-1) unstable; urgency=medium

  * New upstream release.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 26 Nov 2019 22:19:26 +0100

## matrix-synapse 1.6.1

=== debian/changelog ===
matrix-synapse (1.6.1-1) unstable; urgency=high

  * New upstream release.

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 29 Nov 2019 14:43:09 +0100

## matrix-synapse 1.7.0

=== debian/changelog ===
matrix-synapse (1.7.0-2) unstable; urgency=medium

  * Install CONTRIBUTING.md instead of .rst.

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 13 Dec 2019 20:29:38 +0100

matrix-synapse (1.7.0-1) unstable; urgency=medium

  * New upstream release.
  * Update parts of the homeserver.yaml config file.

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 13 Dec 2019 17:12:26 +0100

## matrix-synapse 1.7.1

=== debian/changelog ===
matrix-synapse (1.7.1-1) unstable; urgency=high

  * New upstream release.
  * SECURITY UPDATE:
    - Fix a bug which could cause room events to be incorrectly authorised
      using events from a different room.
    - Fix a bug causing responses to the /context client endpoint to not
      use the pruned version of the event.
    - Fix a cause of state resets in room versions 2 onwards.
  * Add new options to the default homeserver.yaml.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 18 Dec 2019 16:56:31 +0100

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 export PYBUILD_NAME=matrix-synapse
 %:
-	dh $@ --with python3 --with systemd --buildsystem=pybuild --no-guessing-deps
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_install:
 	dh_auto_install

## matrix-synapse 1.7.2

=== debian/changelog ===
matrix-synapse (1.7.2-1) unstable; urgency=high

  * New upstream release.
  * This release fixes a regression introduced in 1.7.1.

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 20 Dec 2019 13:23:26 +0100

## matrix-synapse 1.7.3

=== debian/changelog ===
matrix-synapse (1.7.3-1) unstable; urgency=high

  * New upstream bugfix release.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 01 Jan 2020 13:21:02 +0100

## matrix-synapse 1.8.0

=== debian/changelog ===
matrix-synapse (1.8.0-1) unstable; urgency=medium

  * New upstream release.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 09 Jan 2020 17:19:59 +0100

## matrix-synapse 1.9.0

=== debian/changelog ===
matrix-synapse (1.9.0-1) unstable; urgency=medium

  * New upstream release.
  * The default logging config now comes with the logging level for Synapse
    itself set to INFO, but some other modules and Twisted set to WARN.
    This verbosity should be fine for normal uses, but when troubleshooting,
    users may want to revert all WARNs to INFO or maybe even DEBUG.
    The future releases will try to align the defaults to the upstream’s
    one.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 23 Jan 2020 18:59:21 +0100

## matrix-synapse 1.9.1

=== debian/changelog ===
matrix-synapse (1.9.1-1) unstable; urgency=high

  * New upstream bugfix release.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 29 Jan 2020 14:47:02 +0100

## matrix-synapse 1.10.0

=== debian/changelog ===
matrix-synapse (1.10.0-2) unstable; urgency=medium

  * Depend on python3-signedjson (>= 1.1.0) (Closes: #951378).

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 15 Feb 2020 18:20:49 +0100

matrix-synapse (1.10.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop synapse.federation.transport.server log level downgrade
    since the upstream has fixed log levels in the source code.

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 14 Feb 2020 15:03:45 +0100

## matrix-synapse 1.11.0

=== debian/changelog ===
matrix-synapse (1.11.0-1) unstable; urgency=medium

  * New upstream release.

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 22 Feb 2020 11:04:00 +0300

=== debian/control ===
--- 
+++ 
@@ -34,7 +34,7 @@
  python3-pysaml2 (>= 4.0.0),
  python3-service-identity (>= 18.1.0),
  python3-setuptools (>= 0.6b3),
- python3-signedjson (>= 1.0.0),
+ python3-signedjson (>= 1.1.0),
  python3-six,
  python3-sortedcontainers,
  python3-systemd,

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/matrix-synapse-$1\.tar\.gz/,uversionmangle=s/-?rc/~rc/,repacksuffix=+dfsg,dversionmangle=s/\+dfsg$//  \
  https://github.com/matrix-org/synapse/tags .*/archive/v(\d[^\s\-]*)\.tar\.gz

## matrix-synapse 1.12.3

=== debian/changelog ===
matrix-synapse (1.12.3-1) unstable; urgency=medium

  * New upstream release.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 07 Apr 2020 10:09:42 +0200

matrix-synapse (1.12.0-1) unstable; urgency=medium

  * New upstream release.
  * Pin Twisted to the version where the security issues have been fixed.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 24 Mar 2020 09:51:23 +0100

matrix-synapse (1.11.1-1) unstable; urgency=high

  * New upstream release.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 03 Mar 2020 18:22:46 +0100

## matrix-synapse 1.12.4

=== debian/changelog ===
matrix-synapse (1.12.4-1) unstable; urgency=medium

  * New upstream release.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 04 May 2020 10:31:40 +0200

## matrix-synapse 1.13.0

=== debian/changelog ===
matrix-synapse (1.13.0-1) unstable; urgency=medium

  * New upstream release.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 25 May 2020 11:54:15 +0200

=== debian/control ===
--- 
+++ 
@@ -39,7 +39,7 @@
  python3-sortedcontainers,
  python3-systemd,
  python3-treq (>= 18),
- python3-twisted (>= 18.9.0),
+ python3-twisted (>= 18.9.0-8~),
  python3-typing-extensions (>= 3.7.4),
  python3-unpaddedbase64 (>= 1.0.1),
  python3-yaml
@@ -59,6 +59,7 @@
  python3-jinja2,
  python3-lxml,
  python3-systemd,
+ python3-twisted (>= 18.9.0-8~),
  ${misc:Depends},
  ${python3:Depends}
 Breaks:

## matrix-synapse 1.15.0

=== debian/changelog ===
matrix-synapse (1.15.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh the default configuration.

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 14 Jun 2020 20:32:44 +0200

## matrix-synapse 1.15.1

=== debian/changelog ===
matrix-synapse (1.15.1-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 16 Jun 2020 11:56:35 +0200

## matrix-synapse 1.15.2

=== debian/changelog ===
matrix-synapse (1.15.2-1) unstable; urgency=medium

  * New upstream release.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 02 Jul 2020 21:52:42 +0200

## matrix-synapse 1.16.0

=== debian/changelog ===
matrix-synapse (1.16.0-1) unstable; urgency=medium

  * New upstream release.
  * Update dependencies.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 09 Jul 2020 08:40:47 +0200

## matrix-synapse 1.17.0

=== debian/changelog ===
matrix-synapse (1.17.0-1) unstable; urgency=medium

  * New upstream release.
  * Update the jQuery missing source and the copyrights.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 14 Jul 2020 17:41:36 +0200

## matrix-synapse 1.18.0

=== debian/changelog ===
matrix-synapse (1.18.0-1) unstable; urgency=medium

  * New upstream release.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 12 Aug 2020 09:05:45 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  libjs-jquery,
  po-debconf,
  python3-all,
- python3-attr (>= 17.4.0),
+ python3-attr (>= 19.1.0~),
  python3-bcrypt,
  python3-bleach (>= 1.4.2),
  python3-blist,
@@ -35,7 +35,6 @@
  python3-service-identity (>= 18.1.0),
  python3-setuptools (>= 0.6b3),
  python3-signedjson (>= 1.1.0),
- python3-six,
  python3-sortedcontainers,
  python3-systemd,
  python3-treq (>= 18),

## matrix-synapse 1.19.0

=== debian/changelog ===
matrix-synapse (1.19.0-1) unstable; urgency=medium

  [ Andrej Shadura ]
  * New upstream release.
  * Bump python3-canonicaljson dependency.

  [ Aaron Raimist ]
  * Fix outdated documentation for SYNAPSE_CACHE_FACTOR.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 19 Aug 2020 21:34:43 +0200

## matrix-synapse 1.19.1

=== debian/changelog ===
matrix-synapse (1.19.1-1) unstable; urgency=high

  * New upstream release.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 27 Aug 2020 17:35:49 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  python3-bcrypt,
  python3-bleach (>= 1.4.2),
  python3-blist,
- python3-canonicaljson (>= 1.1.3),
+ python3-canonicaljson (>= 1.2.0),
  python3-daemonize,
  python3-frozendict (>= 1),
  python3-idna,
